Package org.eclipse.jdt.ui

# Class ProblemsLabelDecorator.ProblemsLabelChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.jface.viewers.LabelProviderChangedEvent
org.eclipse.jdt.ui.ProblemsLabelDecorator.ProblemsLabelChangedEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ProblemsLabelDecorator

public static class ProblemsLabelDecorator.ProblemsLabelChangedEvent extends org.eclipse.jface.viewers.LabelProviderChangedEvent
This is a special `LabelProviderChangedEvent` carrying additional information whether the event origins from a maker change.

`ProblemsLabelChangedEvent`s are only generated by `ProblemsLabelDecorator`s.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ProblemsLabelChangedEvent(org.eclipse.jface.viewers.IBaseLabelProvider eventSource, org.eclipse.core.resources.IResource[] changedResource, boolean isMarkerChange)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMarkerChange()`
Returns whether this event origins from marker changes.

### Methods inherited from class org.eclipse.jface.viewers.LabelProviderChangedEvent

`getElement, getElements`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProblemsLabelChangedEvent

public ProblemsLabelChangedEvent(org.eclipse.jface.viewers.IBaseLabelProvider eventSource, org.eclipse.core.resources.IResource[] changedResource, boolean isMarkerChange)

Parameters:
  `eventSource` - the base label provider
  `changedResource` - the changed resources
  `isMarkerChange` - `true` if the change is a marker change; otherwise `false`

## Method Details

### isMarkerChange

public boolean isMarkerChange()
Returns whether this event origins from marker changes. If `false` an annotation model change is the origin. In this case viewers not displaying working copies can ignore these events.

Returns:
  if this event origins from a marker change.